import type { Node, NodeOptions, NodeOptionsOverrides, Factory, KuboNode, KuboOptions, SpawnOptions } from './index.js';
export interface FactoryInit extends NodeOptions {
    /**
     * Endpoint URL to manage remote Nodes. (Defaults: 'http://127.0.0.1:43134')
     */
    endpoint?: string;
}
/**
 * Factory class to spawn ipfsd controllers
 */
declare class DefaultFactory implements Factory<any> {
    options: NodeOptions;
    controllers: Node[];
    readonly overrides: NodeOptionsOverrides;
    private readonly endpoint;
    constructor(options?: FactoryInit, overrides?: NodeOptionsOverrides);
    /**
     * Spawn an IPFSd Node
     */
    spawn(options?: KuboOptions & SpawnOptions): Promise<KuboNode>;
    /**
     * Stop all controllers
     */
    clean(): Promise<void>;
}
export default DefaultFactory;
//# sourceMappingURL=factory.d.ts.map